Description: Replace usage of Digest::SHA1 with core Digest::SHA module
 In Debian we use the core Digest::SHA module that was released with Perl 5.9.3.
 Upstream keeps compatibility with Perl 5.8.1 so this patch is not forwarded.
Forwarded: no
Author: Nick Morrott <knowledgejunkie@gmail.com>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2019-12-26

---
--- a/lib/Module/Compile.pm
+++ b/lib/Module/Compile.pm
@@ -7,7 +7,7 @@ use strict; use warnings;
 package Module::Compile;
 our $VERSION = '0.38';
 
-use Digest::SHA1();
+use Digest::SHA();
 
 # A lexical hash to keep track of which files have already been filtered
 my $filtered = {};
@@ -553,9 +553,9 @@ sub pmc_fold_data {
 
 # Fold a piece of code into a unique string.
 sub pmc_fold {
-    require Digest::SHA1;
+    require Digest::SHA;
     my ($class, $text) = @_;
-    my $digest = Digest::SHA1::sha1_hex($text);
+    my $digest = Digest::SHA::sha1_hex($text);
     $digest_map->{$digest} = $text;
     return $digest;
 }
